{
  "name": "android-tools-bin",
  "version": "2.0.1",
  "description": "Pre-built binaries for android tools such as adb, fastboot and heimdall.",
  "main": "./lib/module.js",
  "types": "./lib/module.d.ts",
  "files": [
    "dist",
    "lib/module.js",
    "lib/module.d.ts",
    "LICENSE",
    "README.md",
    "CHANGELOG.md"
  ],
  "scripts": {
    "test": "npx c8 -r text -r html -r lcov --all --src src/ -x \"**/*.spec.*\" -x \"src/download.ts\" ava src/*.spec.ts",
    "lint": "npx prettier \"**/!(*.min.*)\" --ignore-path=.gitignore --arrow-parens=avoid --trailing-comma=none -uw",
    "docs": "npx typedoc",
    "download": "npx ts-node --esm src/download.ts",
    "build": "rm -rf lib/* && npx tsc --build"
  },
  "type": "commonjs",
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/ubports/installer/android-tools-bin.git"
  },
  "author": "Johannah Sprinz <neo@neothethird.de>",
  "license": "GPL-3.0",
  "bugs": {
    "url": "https://gitlab.com/ubports/installer/android-tools-bin/issues"
  },
  "keywords": [
    "adb",
    "fastboot",
    "heimdall",
    "android",
    "android-tools",
    "platform-tools"
  ],
  "homepage": "https://ubports.gitlab.io/installer/android-tools-bin/",
  "ava": {
    "typescript": {
      "rewritePaths": {
        "src/": "lib/"
      },
      "compile": "tsc"
    }
  },
  "dependencies": {
    "tslib": "^2.4.1"
  },
  "devDependencies": {
    "@ava/typescript": "^3.0.1",
    "ava": "^5.1.0",
    "c8": "^7.12.0",
    "@types/7zip-min": "^1.3.1",
    "@types/node": "^18.11.9",
    "7zip-min": "^1.4.3",
    "prettier": "^2.8.0",
    "progressive-downloader": "^2.0.2",
    "testdouble": "^3.16.8",
    "ts-node": "^10.9.1",
    "typedoc": "^0.23.21",
    "typescript": "^4.9.3"
  }
}
